<section class="body body-list">
  <div class="container">
    <div class="row padre">
      <div class="col-lg-6 col-md-12 col-sm-12" style="padding: 5%">
        <mat-card class="mat-elevation-z4" style="padding: 5%">
          <div class="text-center">
            <div class="nav-item" ngbDropdown placement="bottom-center">
              <a class="nav-link position-relative" id="dropdownLang" ngbDropdownToggle>
                <img src="{{getFlagURL()}}" alt="English" class="langimg">
                <p class="d-none">Language</p>
              </a>
              <div ngbDropdownMenu aria-labelledby="dropdownLang" class="dropdownLang">
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('en')">
                  <img src="assets/img/flags/us.png" alt="English" class="langimg">
                  <span>English</span>
                </a>
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('es')">
                  <img src="assets/img/flags/es.png" alt="Espa&ntilde;ol" class="langimg">
                  <span>Espa&ntilde;ol</span>
                </a>
              </div>
            </div>
          </div>
          <div class="logo col-lg-12 col-md-6 col-xs-12 col-sm-6 col-xl-6" style="height: inherit;" id="profile_photo">
            <img class="profile-pic" [src]="ruta">
          </div>
          <div class="text-center">
            <h3 style="font-weight:bold">{{'userRegister.requestAffiliation' | translate}} </h3>
          </div>

          <form role="form" method="post" class="example-form " [formGroup]="registerForm">
            <div class="containerForm col-lg-12 col-12 justify-content-center align-items-center">
              <div class="form-group">
                <mat-form-field class="example-full-width col-lg-12 col-12">
                  <input matInput formControlName="social_reason">
                  <mat-placeholder>{{'userRegister.socialReason' | translate}}</mat-placeholder>
                  <mat-error
                    *ngIf="!registerForm.controls['social_reason'].valid && registerForm.controls['social_reason'].touched">
                    {{'userRegister.requirdField' | translate}}</mat-error>
                </mat-form-field>
              </div>

              <div class="form-group">
                <mat-form-field class="example-full-width col-lg-12 col-12">
                  <input matInput formControlName="nit" color="blue">
                  <mat-placeholder>NIT</mat-placeholder>
                  <mat-error *ngIf="!registerForm.controls['nit'].valid && registerForm.controls['nit'].touched">
                    {{'userRegister.requirdField' | translate}}
                  </mat-error>
                </mat-form-field>
              </div>

              <div class="form-group">
                <mat-form-field class="example-full-width col-lg-12 col-12">
                  <input matInput formControlName="email" color="blue">
                  <mat-placeholder>Email</mat-placeholder>
                  <mat-error *ngIf="!registerForm.controls['email'].valid && registerForm.controls['email'].touched">
                    {{'userRegister.requirdField' | translate}}</mat-error>
                </mat-form-field>
              </div>

            </div>
            <div class="f1-buttons text-center">
              <a mat-button class="linkBtn" href="/login"><strong>{{'login.login' | translate}}</strong></a>
              <button (click)="register()" type="submit" class="btn btn-success"
                [disabled]="!registerForm.valid">{{'buttons.apply' | translate}}</button>
            </div>

          </form>
          <br>
        </mat-card>
      </div>
    </div>
  </div>
</section>